> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get users



## OpenAPI

````yaml /openapi.json get /users/{userId}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /users/{userId}:
    get:
      tags:
        - permissions
        - debug
      operationId: PermissionsController_getUser
      parameters:
        - name: userId
          required: true
          in: path
          description: the user id to retrieve
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserOutput'
components:
  schemas:
    GetUserOutput:
      type: object
      properties:
        userId:
          type: string
          description: The ID of the user.
        roles:
          description: User role ids
          type: array
          items:
            $ref: '#/components/schemas/Role'
        permissions:
          description: The permissions associated with the user.
          type: array
          items:
            $ref: '#/components/schemas/Permission'
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the user
          readOnly: true
        updatedAt:
          format: date-time
          type: string
          description: the date of the last update of the user
          readOnly: true
      required:
        - userId
        - roles
        - permissions
        - createdAt
        - updatedAt
    Role:
      type: object
      properties:
        productId:
          type: string
          description: The ID of the product the role is associated with
        roleId:
          type: string
          description: The ID of the role.
        permissions:
          description: The permissions associated with the user.
          type: array
          items:
            $ref: '#/components/schemas/Permission'
        createdAt:
          format: date-time
          type: string
          description: The date and time the role was created.
          readOnly: true
        updatedAt:
          format: date-time
          type: string
          description: The date and time the role was last updated.
          readOnly: true
      required:
        - productId
        - roleId
        - permissions
        - createdAt
        - updatedAt
    Permission:
      type: object
      properties:
        permissionId:
          type: string
          description: The ID of the permission.
        resourceIds:
          description: The ID of the resources.
          type: array
          items:
            type: string
      required:
        - permissionId
        - resourceIds

````